grk::FileFormat Class Reference

JPEG 2000 file format reader/writer. More...

`#include <FileFormat.h>`

Inheritance diagram for grk::FileFormat:

## Public Member Functions

| FileFormat (void)
virtual | ~FileFormat ()

## Protected Member Functions

bool | exec (std::vector< PROCEDURE_FUNC > *procs)

## Protected Attributes

std::vector< PROCEDURE_FUNC > * | validation_list_
| list of validation procedures
std::vector< PROCEDURE_FUNC > * | procedure_list_
| list of execution procedures
uint32_t | w
uint32_t | h
uint16_t | numcomps
uint8_t | bpc
uint8_t | C
uint8_t | UnkC
uint8_t | IPR
uint8_t | meth
uint8_t | approx
GRK_ENUM_COLOUR_SPACE | enumcs
uint8_t | precedence
uint32_t | brand
uint32_t | minversion
uint32_t | numcl
uint32_t * | cl
ComponentInfo * | comps
bool | has_capture_resolution
double | capture_resolution [2]
bool | has_display_resolution
double | display_resolution [2]
grk_buf8 | xml
UUIDBox | uuids [JP2_MAX_NUM_UUIDS]
uint32_t | numUuids

## Detailed Description

JPEG 2000 file format reader/writer.

## Constructor & Destructor Documentation

## FileFormat()

grk::FileFormat::FileFormat | ( | void |  | ) |

References capture_resolution, display_resolution, and grk::grk_read().

## ~FileFormat()

grk::FileFormat::~FileFormat | ( |  | ) |

virtual

References cl, comps, grk::grk_buf< T, A >::dealloc(), grk::grk_free(), grk::grk_read(), numUuids, procedure_list_, uuids, validation_list_, and xml.

## Member Function Documentation

## exec()

bool grk::FileFormat::exec | ( | std::vector< PROCEDURE_FUNC > * | procs | ) |

protected

References grk::grk_read().

Referenced by grk::FileFormatCompress::end(), grk::FileFormatDecompress::readHeader(), and grk::FileFormatCompress::start().

## Member Data Documentation

## approx

uint8_t grk::FileFormat::approx

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_colr(), and grk::FileFormatCompress::write_colr().

## bpc

uint8_t grk::FileFormat::bpc

protected

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_bpc(), grk::FileFormatDecompress::read_ihdr(), grk::FileFormatCompress::write_bpc(), grk::FileFormatCompress::write_ihdr(), and grk::FileFormatCompress::write_jp2h().

## brand

uint32_t grk::FileFormat::brand

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ftyp(), and grk::FileFormatCompress::write_ftyp().

## C

uint8_t grk::FileFormat::C

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ihdr(), and grk::FileFormatCompress::write_ihdr().

## capture_resolution

double grk::FileFormat::capture_resolution[2]

protected

Referenced by FileFormat(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_res(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::write_jp2h(), and grk::FileFormatCompress::write_res().

## cl

uint32_t* grk::FileFormat::cl

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ftyp(), grk::FileFormatCompress::write_ftyp(), and ~FileFormat().

## comps

ComponentInfo* grk::FileFormat::comps

protected

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_bpc(), grk::FileFormatDecompress::read_ihdr(), grk::FileFormatCompress::write_bpc(), and ~FileFormat().

## display_resolution

double grk::FileFormat::display_resolution[2]

protected

Referenced by FileFormat(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_res(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::write_jp2h(), and grk::FileFormatCompress::write_res().

## enumcs

GRK_ENUM_COLOUR_SPACE grk::FileFormat::enumcs

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_colr(), grk::FileFormatDecompress::readHeader(), and grk::FileFormatCompress::write_colr().

## h

uint32_t grk::FileFormat::h

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ihdr(), and grk::FileFormatCompress::write_ihdr().

## has_capture_resolution

bool grk::FileFormat::has_capture_resolution

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_res(), grk::FileFormatDecompress::readHeader(), and grk::FileFormatCompress::write_jp2h().

## has_display_resolution

bool grk::FileFormat::has_display_resolution

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_res(), grk::FileFormatDecompress::readHeader(), and grk::FileFormatCompress::write_jp2h().

## IPR

uint8_t grk::FileFormat::IPR

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ihdr(), and grk::FileFormatCompress::write_ihdr().

## meth

uint8_t grk::FileFormat::meth

protected

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_colr(), and grk::FileFormatCompress::write_colr().

## minversion

uint32_t grk::FileFormat::minversion

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ftyp(), and grk::FileFormatCompress::write_ftyp().

## numcl

uint32_t grk::FileFormat::numcl

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ftyp(), and grk::FileFormatCompress::write_ftyp().

## numcomps

uint16_t grk::FileFormat::numcomps

protected

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_bpc(), grk::FileFormatDecompress::read_ihdr(), grk::FileFormatCompress::write_bpc(), and grk::FileFormatCompress::write_ihdr().

## numUuids

uint32_t grk::FileFormat::numUuids

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_uuid(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::write_uuids(), and ~FileFormat().

## precedence

uint8_t grk::FileFormat::precedence

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_colr(), and grk::FileFormatCompress::write_colr().

## procedure_list_

std::vector<PROCEDURE_FUNC>* grk::FileFormat::procedure_list_

protected

list of execution procedures

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::end(), grk::FileFormatCompress::init_end_header_writing(), grk::FileFormatCompress::init_header_writing(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::start(), and ~FileFormat().

## UnkC

uint8_t grk::FileFormat::UnkC

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ihdr(), and grk::FileFormatCompress::write_ihdr().

## uuids

UUIDBox grk::FileFormat::uuids[JP2_MAX_NUM_UUIDS]

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_uuid(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::write_uuids(), and ~FileFormat().

## validation_list_

std::vector<PROCEDURE_FUNC>* grk::FileFormat::validation_list_

protected

list of validation procedures

Referenced by grk::FileFormatCompress::default_validation(), grk::FileFormatCompress::init_compressValidation(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::start(), and ~FileFormat().

## w

uint32_t grk::FileFormat::w

protected

Referenced by grk::FileFormatCompress::init(), grk::FileFormatDecompress::read_ihdr(), and grk::FileFormatCompress::write_ihdr().

## xml

grk_buf8 grk::FileFormat::xml

protected

Referenced by grk::FileFormatDecompress::read_xml(), grk::FileFormatDecompress::readHeader(), grk::FileFormatCompress::write_jp2h(), grk::FileFormatCompress::write_xml(), and ~FileFormat().

The documentation for this class was generated from the following files:

- FileFormat.h
- FileFormat.cpp